Subject: Re: bug#46533: 27.1.91; (gnus-agent-expire) leaves the last article per group

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 16 Feb 2021 13:23:17 +0100

Teemu Likonen <[email-masked]> writes:

> There is one file with access time ("ls -ltu") 2021-02-05. It should
> have been removed already but it is the last article in its group so it
> remains.

I haven't tried to debug this, but this does sound familiar.  I seem to
vaguely remember that the Agent has to been the highest-numbered article
for accounting reasons?  So expiry doesn't touch the newest article.

I may be totally misremembering, though.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no